Bug 875740 - "defaults" entry ignored
Summary: "defaults" entry ignored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 881827
TreeView+ depends on / blocked
 
Reported: 2012-11-12 14:05 UTC by Nikolai Kondrashov
Modified: 2020-05-02 17:05 UTC (History)
4 users (show)

Fixed In Version: sssd-1.9.2-17.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:40:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
The LDAP directory contents (2.98 KB, text/x-ldif)
2012-11-12 14:05 UTC, Nikolai Kondrashov
no flags Details
sssd.conf (432 bytes, text/plain)
2012-11-12 14:06 UTC, Nikolai Kondrashov
no flags Details


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2682 None None None 2020-05-02 17:05:53 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Nikolai Kondrashov 2012-11-12 14:05:41 UTC
Created attachment 643542 [details]
The LDAP directory contents

Description of problem:
SSSD ignores options from "defaults" entry in LDAP

Version-Release number of selected component (if applicable):
libsss_autofs-1.9.2-7.el6.x86_64
sssd-1.9.2-7.el6.x86_64
libsss_sudo-1.9.2-7.el6.x86_64
libsss_idmap-1.9.2-7.el6.x86_64
sssd-client-1.9.2-7.el6.x86_64
sudo-1.8.6p3-5.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Use the attached LDIF file to fill LDAP directory
2. Use the attached sssd.conf as the base for client configuration
3. Execute "su -c 'sudo -u user2 whoami' user1" as root
  
Actual results:
sudo: no tty present and no askpass program specified

Expected results:
user2

Additional info:
If the sudoOption attributes are moved to the cn=test entry instead, sudo behaves as documented.

Comment 1 Nikolai Kondrashov 2012-11-12 14:06:34 UTC
Created attachment 643543 [details]
sssd.conf

Comment 3 Jakub Hrozek 2012-11-12 19:23:37 UTC
Pavel, can you triage this bug before/if we clone it to Trac?

Comment 4 Pavel Březina 2012-11-13 12:11:07 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1640

Comment 6 Nikolai Kondrashov 2012-12-03 11:10:13 UTC
Verified fixed in 1.9.2-21.el6.
Relevant sudo suite tests pass:

:: [   PASS   ] :: defaults_without
:: [   PASS   ] :: defaults_with

Comment 7 errata-xmlrpc 2013-02-21 09:40:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.